#!/usr/bin/env bun
/**
 * Initialize Commantor for a terminal usage
 *
 * Simply run `./cmd.ts` to check it out !
 */
import commantor from 'commantor'

void commantor({
	path: './src/commands',
	hooks: {
		// load migrations into the app on setup
		'astro:config:setup': 'migrations:load',
		'astro:build:start': 'migrations:load'
	}
})
