export type environmentVariables =
	| 'NODE_ENV'
	| 'APP_URL'
	| 'LOG_LEVEL'

	| 'CASSANDRA_CONTACT_POINT'
	| 'CASSANDRA_DATABASE'
	| 'CASSANDRA_AUTH_METHOD'
	| 'CASSANDRA_USERNAME'
	| 'CASSANDRA_PASSWORD'
	| 'CASSANDRA_AUTHORIZATION_ID'
	| 'CASSANDRA_LOCAL_DATA_CENTER'
	| 'CASSANDRA_SKIP_CREATE_KEYSPACE'

	| 'POSTGRES_HOST'
	| 'POSTGRES_USERNAME'
	| 'POSTGRES_PASSWORD'
	| 'POSTGRES_PORT'
	| 'POSTGRES_DATABASE'
	| 'POSTGRES_CONNECTION_TIMEOUT'
	| 'POSTGRES_IDLE_TIMEOUT'
	| 'POSTGRES_MAX_CLIENT'

	| 'LDAP_URL'
	| 'LDAP_USER_DN_SUFFIX'
	| 'LDAP_ADMIN_USERNAME'
	| 'LDAP_ADMIN_PASSWORD'
	| 'LDAP_ADMIN_DN'

	| 'EMAIL_DEBUG'

	| 'SMTP_HOST'
	| 'SMTP_PORT'
	| 'SMTP_SECURE'
	| 'SMTP_USER'
	| 'SMTP_PASS'
	| 'SMTP_FROM'

	| 'IMAP_HOST'
	| 'IMAP_PORT'
	| 'IMAP_SECURE'
	| 'IMAP_USER'
	| 'IMAP_PASS'
	| 'IMAP_INBOX'

	| 'CREDO_MAIL_USER'
	| 'CREDO_MAIL_PASS'
	| 'GTI_MAIL_USER'
	| 'GTI_MAIL_PASS'

	| 'RESOURCES_FOLDER'

	| 'BUILD_DATE'
	| 'GIT_COMMIT'
	| 'GIT_BRANCH'
	| 'GIT_TAG'

	| 'SENTRY_DSN'
	| 'SENTRY_DEBUG'

	| 'ENABLE_DEVTOOLS'
